org.richfaces.fragment.notify

## Class RichFacesNotify.AdvancedNotifyInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.notify.RichFacesNotify.AdvancedNotifyInteractionsImpl

- All Implemented Interfaces:
    Messages.AdvancedMessagesInteractions
  Enclosing class:
    RichFacesNotify

      public class RichFacesNotify.AdvancedNotifyInteractionsImpl
      extends Object
      implements Messages.AdvancedMessagesInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedNotifyInteractionsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RichFacesNotify.NotifyMessageItemImpl>` | `getErrorMessages()`
    `List<RichFacesNotify.NotifyMessageItemImpl>` | `getFatalMessages()`
    `List<RichFacesNotify.NotifyMessageItemImpl>` | `getInfoMessages()`
    `protected String` | `getNotifyMessageErrorStyleClass()`
    `protected String` | `getNotifyMessageFatalStyleClass()`
    `protected String` | `getNotifyMessageInfoStyleClass()`
    `protected String` | `getNotifyMessageStyleClass()`
    `protected String` | `getNotifyMessageWarnStyleClass()`
    `List<RichFacesNotify.NotifyMessageItemImpl>` | `getWarnMessages()`
    `boolean` | `isVisible()`
    `void` | `setStyleClassToContain(String styleClass)`
    `WaitingWrapper` | `waitUntilMessagesAreNotVisible()`
    `WaitingWrapper` | `waitUntilMessagesAreVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedNotifyInteractionsImpl

          public AdvancedNotifyInteractionsImpl()

  - ### Method Detail

    - #### getNotifyMessageStyleClass

          protected String getNotifyMessageStyleClass()

    - #### getNotifyMessageFatalStyleClass

          protected String getNotifyMessageFatalStyleClass()

    - #### getNotifyMessageErrorStyleClass

          protected String getNotifyMessageErrorStyleClass()

    - #### getNotifyMessageWarnStyleClass

          protected String getNotifyMessageWarnStyleClass()

    - #### getNotifyMessageInfoStyleClass

          protected String getNotifyMessageInfoStyleClass()

    - #### getWarnMessages

          public List<RichFacesNotify.NotifyMessageItemImpl> getWarnMessages()

    - #### getErrorMessages

          public List<RichFacesNotify.NotifyMessageItemImpl> getErrorMessages()

    - #### getFatalMessages

          public List<RichFacesNotify.NotifyMessageItemImpl> getFatalMessages()

    - #### getInfoMessages

          public List<RichFacesNotify.NotifyMessageItemImpl> getInfoMessages()

    - #### setStyleClassToContain

          public void setStyleClassToContain(String styleClass)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `Messages.AdvancedMessagesInteractions`

    - #### waitUntilMessagesAreNotVisible

          public WaitingWrapper waitUntilMessagesAreNotVisible()

      Specified by:
        `waitUntilMessagesAreNotVisible` in interface `Messages.AdvancedMessagesInteractions`

    - #### waitUntilMessagesAreVisible

          public WaitingWrapper waitUntilMessagesAreVisible()

      Specified by:
        `waitUntilMessagesAreVisible` in interface `Messages.AdvancedMessagesInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.